/* eslint-env node */
/* global module: false */
'use strict';

const packages = [
  {name: 'normalize.css'},
  {name: 'matthewhudson/device.js'},
  {name: 'lodash.defaultsdeep'},
  {name: 'postcss-import'},
  {name: 'postcss-nesting'},
  {name: 'postcss-extend'},
  {name: 'postcss-css-variables'},
  {name: 'postcss-merge-rules'},
  {name: 'postcss-discard-empty'},
  {name: 'postcss-discard-comments'},
  {name: 'postcss-discard-duplicates'},
];

module.exports = {
  name: 'ui-foundation',
  description: 'Install dependencies for addon based on @choiceform/ui-foundation.',

  normalizeEntityName(entityName) {
    return entityName;
  },

  afterInstall: function(/* options */) {
    return this.addAddonToProject(
      {name: 'ember-css-modules', target: '^0.7.0-beta.1'}
    ).then(
      () => this.addAddonToProject({name: 'ember-cli-node-assets'})
    ).then(
      () => this.addPackagesToProject(packages)
    );
  },
};
